import request from '@/utils/request'

/**
 * 查询客户关怀分页列表
 */
export function listCare(query) {
  return request({
    url: '/customer/crm/care/list',
    method: 'get',
    params: query
  })
}

/**
 * 查询客户关怀详细
 */
export function getCare(id) {
  return request({
    url: '/customer/crm/care/' + id,
    method: 'get'
  })
}

/**
 * 新增客户关怀
 */
export function addCare(data) {
  return request({
    url: '/customer/crm/care',
    method: 'post',
    data: data
  })
}

/**
 * 修改客户关怀
 */
export function updateCare(data) {
  return request({
    url: '/customer/crm/care',
    method: 'put',
    data: data
  })
}

/**
 * 删除客户关怀
 */
export function delCare(id) {
  return request({
    url: '/customer/crm/care/' + id,
    method: 'delete'
  })
}
